#----------------------------------------------------------------
# Usage of TkScan
#----------------------------------------------------------------
set usage_tkscan "
 How to use TkScan version $c(version)

 Contents

	0. Command line option
	1. Previewing
	2. Selection of regions to be scanned
	3. Selection of mode and resolution
	4. Selection of output destination
	5. Scanning
	6. Configuration


 Section 0. Command line option

   tkscan \[-geometry +x+y\] \[ImageEditor|File|Printer|Fax|OCR\]


 Section 1. Preview

 * Click \[Preview\] button to initiate preview scanning.
 * Preview scanning can be interrupted by clicking \[Stop\] button.
 * The preview mode and resolution can be chosen in Preference of File menu.


 Section 2. Selection of regions to be scanned

 * The selection of scanning regions on the preview image is done with
   left mouse button. Press left button at one corner of the rectangle you
   want to scan, move mouse while pressing it and release at the other corner.
 * You can finetune the region using finetuning buttons around blue rectangle.
 * The blue rectagle continuously shows a region to be scanned, while the
   scanning region window diplays coordinates of upper-left and lower-right
   coners, the width times height in the length unit chosen (Real Size) and
   in screen pixel (Screen Size), and the file size of the image in raw
   format (Data Size).  Screen Size and Data Size also vary as you change
   scanning mode and resolution.
 * The size of A4, Letter paper or others are preset in \[preset\] button.  You
   can add your own regions in configuration file (See Configuration section).
 * You can select several regions on the preview image canvas.
   Set one blue rectangle and click the middle mouse button inside it (or
   \[Regist\] button).  Blue rectangle becomes red and the number 1 appears
   at the center.  Then make another blue rectangle and press the middle
   button inside it.  Now the second red rectangle is registered.  Repeat
   this as many times as you want.  Click of the right mouse button inside
   the red rectangle will remove it.  Double click of the right button (or
   click of the \[Clear\] button) deletes all rectangles.  TkScan will scan
   red rectangles successively in order of their registration numbers.


 Section 3. Selection of mode, resolution and options

 This is transparent: Use mode \[Mode\] menubutton and \[Resolution\] scale.
 Screen Size and Data Size change accordingly as mode and resolution change.
 * If you want to adjust other options, press \[Open Manager\] button.  Then
   Option manager window appears and you can do it there.  Available options
   depend on the scanning mode.
 * Several frequently used mode are preset in Mode munu.  You can define your
   own quick_mode in configuration file (See Configuration section.)


 Section 4. Selection of output desination

 This is done by \[Output to\] menubutton.

 * Image Editor
   - You can select image editor among XV, ImageMagic and GIMP in Preference.
   - There is also \[SW\] checkbutton, which select that each scanned image
     appears in separate image editor or all images in one image editor
     when several red rectangles are scanned successively.

 * File
   If you select this, File Manager Window appears.
   - Select the output file format.
   - You can specify a filename for scanned image in \[Filename\] entry.
     If you use # in the filename, the last # is replaced with the retangle
     number(0 for blue rectangle, the number at the center for red rectangles).
     The default filename is scanout-#.surfix where appropriate surfix is
     attached for the file format. You can change it in the configuration file.

 * Printer
   If you select this, Print Manager Window appears.
   - Select a printer.  `gv' is for sending output to ghostview(or gv).
   - Use \[Zoom\] scale and \[Position\] menubutton to select the size and
     position of printed image. Zoom scale is percentage of Real Size.
   - \[Reprint\] button is for printing again the scanned image with changed
     zoom and position.

 * Fax
   If you select this, Fax Manager Window appears.
   - With this, each scanned page is converted tiffg3 format using efix and
     listed in Page List Box.
   - In Page List Box, you can
      + view each page converted to tiffg3 format by double click of
        left mouse button,
      + view whole pages by pressing \[View\] button,
      + rearrange the order of pages using \[Up\] and \[Down\] button,
      + remove a page from the list using \[Remove\] button,
      + \[Attach\] button does not work yet.
   - You should specify the fax number.  \[List\] calls Fax Number List Window,
     in which you can maintain frequently used fax numbers.

 * OCR
   - This is not implemented yet. I could not find a good OCR software running
     under Linux. Please let me know if anyone knows or heard of it.


 Section 5. Scanning

 This is done by pressing \[SCAN\] button. TkScan will scan the blue rectangle
 region. If you registered red rectangles, then red rectangle regions are
 scanned successively and the blue rectangle is ignored even when it exists.
 As scanning is in progress, the progress report appears in the status bar.
 If you want to interrupt in the middle of scanning, press \[Stop\] button.
 It kill driver command and recover the state before scanning.
 If it does not work for some reason, double click \[Stop\] button. This
 surely stops scanning and recover TkScan for another scanning.
 Note that while \[Stop\] button kills scanning command immediately,
 it takes some time for scanner to respond.  Scanner is a slowly responding
 peripharal.  I do not recommend frequent use of \[Stop\] button.


 Section 6. Configuration

 If you select Preference in File menu, Preference Window appears.
 * Specify your scanner device if your scanner driver does not find the
   scanner device correctly without device option. Otherwise, to leave it
   blank is OK.
 * You can change the preview image mode and resolution to those you prefer.
   Press \[Apply\] button after selection.
 * Gamma correction can be done either by the driver itself or by the
   external programs like xv or ImageMagic's display or convert if it is
   not available in the driver. Choose what you prefer.
 * TkScan makes ~/.tkscan directory to keep its configuration files and
   scanned image files temporarily. You can delete those temporary files in
   this directory when exit or right now to free your hard disk.
 * If you select Save current config in File menu, the various configuration
   settings are stored in the ~/.tkscan/init file.  You can modify this file
   to fit your taste.  If you feel like doing more changes, observe the
   `tkscan' script and copy necessary parts to ~/.tkscan/init file,
   then modify them.
"

