#--------------------------------------------------------------------
# optionWindow
#--------------------------------------------------------------------

proc optionWindow {} { global s w l
    if [winfo exists .option] {
        $w(optionbutton) configure -text "Open Manager >>"
        destroy .option
        return
    }
    $w(optionbutton) configure -text "Close Manager <<"
    frame .option -bd 5 -relief flat
    pack  .option -side left -fill both

    label .option.ti -text "TkScan Option Manager" \
                     -width 24 -pady 4 -relief ridge
    canvas .option.sep -width 0 -height 5 -relief flat
    pack  .option.ti .option.sep -side top

    foreach i $s(optionList) {
        set Label       [lindex $i 0]
        set Type        [lindex $i 1]
        set Variable    [lindex $i 2]
        set Values      [lindex $i 3]
        set wn .option.$Variable
        frame $wn
        pack  $wn -side top -fill x
        label $wn.l -text $Label -width 12 -anchor e
        switch $Type {
            s {}
            m {
                menubutton $wn.mb -menu $wn.mb.m -text $s($Variable) \
                  -anchor w -width 13 -padx 10 -pady 2 -relief ridge -fg $l(c1)
                menu $wn.mb.m -tearoff false
                pack $wn.l $wn.mb -side left
                foreach i $Values {
                    $wn.mb.m add command -label $i -command \
                             "set s($Variable) $i ; $wn.mb configure -text $i"
                }
            }
            r {
                entryscale $wn s($Variable) {} $Values 72
                pack $wn.l $wn.e $wn.s -side left
            }
        }
    }
    option_select
}

